import { IVisualData } from "./IVisualData";
import { Base, Type } from "./type";
export declare abstract class BrushAppearanceData extends Base implements IVisualData {
    readonly abstract type: string;
    serialize(): string;
    protected a(): string;
    static $t: Type;
}
